%define name 	gtk-gflat-engine
%define version 0.3
%define release %mkrel 1
%define themesdir %{_datadir}/themes

Summary:  GFlat GTK2 engine
Name: 	  %{name}
Version:  %{version}
Release:  %{release}
License:  GPL
Group: 	  Graphical desktop/GNOME
URL: 	  http://gnome-look.org/
Source0:  %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= 2.8

%description
GFlat gtk2 theme engine.

%package -n gtk-theme-GFlat
Summary: GTK theme GFlat
Group: Graphical desktop/GNOME
Requires: %{name}

%description -n gtk-theme-GFlat
GTK theme GFlat using the GFlat gtk engine


%prep
%setup -q 

%build
%configure2_5x

%make 

%install
rm -rf %{buildroot}
%makeinstall


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%exclude %_libdir/gtk-2.0/2.10.0/engines/libgflat.la
%_libdir/gtk-2.0/2.10.0/engines/libgflat.so
%exclude %_libdir/pkgconfig/gflat.pc


%files -n gtk-theme-GFlat
%defattr(-, root, root, 0755)
%_datadir/themes/Gflat-graphite/gtk-2.0/gtkrc
%_datadir/themes/Gflat-quicksilver/gtk-2.0/gtkrc

%changelog
* Fri Jul 02 2010 Texstar <texstar at gmail.com> 0.3-1pclos2010
- create package for pclos


